﻿#region Using Statements
using System;
using RhinoXNA.RhinoGraphics.Rhino2D;
using RhinoXNA;
using Microsoft.Xna.Framework.Input;
using RhinoXNA.RhinoUtilities;
using AsteroidsGame.Menus;
using AsteroidsGame.Base_Objects;
#endregion

namespace AsteroidsGame.Menus
{
    public class CreditsMenu : RhinoMenu
    {
        public CreditsMenu()
            : base()
        {
            _menuItems = RhinoLoader.GetMenuItems("LoadFiles\\ContentLoad.properties", "LoadFiles\\CreditsMenu.lfi");
            _inputBinding = new InputBinding(Keyboard.GetState(), Mouse.GetState());
            StateManager.Instance.Push(GameState.CreditsMenu);
        }

        public override void Update(Microsoft.Xna.Framework.GameTime gameTime)
        {
            foreach (IMenuItem mi in _menuItems)
            {
                mi.Update(gameTime);
            }

            if (_inputBinding.CheckKeyDown(Keyboard.GetState(), Keys.Escape))
            {
                RhinoXNAAdapter.Instance.RemoveTopMenu();
                StateManager.Instance.Pop();
            }

            _inputBinding.Update();
        }

        public override void Render()
        {
            foreach (IMenuItem itm in _menuItems)
            {
                itm.Render();
            }
        }
    }
}
