﻿#region Using Statements
using Microsoft.Xna.Framework;
using RhinoXNA;
#endregion

namespace AsteroidsGame.Utilities
{
    /// <summary>
    /// Static utility to provide common functional calls for screen testing
    /// </summary>
    public static class ScreenAreaUtility
    {
        public static void WrapScreen(ref Vector2 position, Vector2 dimensions)
        {
            // Test screen bounds and re-place item
            bool swappedHorizontal = false;
            bool swappedVertical = false;

            if ((position.Y + dimensions.Y / 2) < RhinoXNAAdapter.Instance.SCREEN_SAFE.Top && !swappedVertical)
            {
                position = new Vector2(position.X,
                    RhinoXNAAdapter.Instance.SCREEN_SAFE.Bottom + dimensions.Y / 2);
                swappedVertical = true;
            }
            else if ((position.Y - dimensions.Y / 2) > RhinoXNAAdapter.Instance.SCREEN_SAFE.Bottom && !swappedVertical)
            {
                position = new Vector2(position.X,
                    RhinoXNAAdapter.Instance.SCREEN_SAFE.Top - dimensions.Y / 2);
                swappedVertical = true;
            }

            if ((position.X - dimensions.X / 2) > RhinoXNAAdapter.Instance.SCREEN_SAFE.Right && !swappedHorizontal)
            {
                position = new Vector2(
                    RhinoXNAAdapter.Instance.SCREEN_SAFE.Left - dimensions.X / 2,
                    position.Y);
                swappedHorizontal = true;
            }
            else if ((position.X + dimensions.X / 2) < RhinoXNAAdapter.Instance.SCREEN_SAFE.Left && !swappedHorizontal)
            {
                position = new Vector2(
                    RhinoXNAAdapter.Instance.SCREEN_SAFE.Right + dimensions.X / 2,
                    position.Y);
                swappedHorizontal = true;
            }
        }
    }
}
