﻿#region Using Statements
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
#endregion

namespace RhinoXNA.RhinoGraphics.Rhino2D
{
    /// <summary>
    /// Abstract class to provide similar functionality for 2D
    /// </summary>
    public abstract class IRhinoDrawable : IRhinoGraphicsComponent
    {
        #region Public Properties
        public Vector2 Position { get; set; }
        public float Rotation { get; set; }
        public Vector2 Scale { get; set; }

        public bool isVisible { get; set; }
        public float Layer { get; set; }
        #endregion

        #region IRhinoGraphicsComponent Members
        public abstract void Update(GameTime gameTime);

        public abstract void Render();

        #endregion

        #region IRhinoGraphicsComponent Members

        public string Handle { get; set; }

        #endregion
    }
}
